<?php

use Illuminate\Database\Seeder;

class ChapterTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('chapters')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'programming.chapter.view',
                'name'      => 'View Chapter',
            ],
            [
                'slug'      => 'programming.chapter.create',
                'name'      => 'Create Chapter',
            ],
            [
                'slug'      => 'programming.chapter.edit',
                'name'      => 'Update Chapter',
            ],
            [
                'slug'      => 'programming.chapter.delete',
                'name'      => 'Delete Chapter',
            ],
            /*
            [
                'slug'      => 'programming.chapter.verify',
                'name'      => 'Verify Chapter',
            ],
            [
                'slug'      => 'programming.chapter.approve',
                'name'      => 'Approve Chapter',
            ],
            [
                'slug'      => 'programming.chapter.publish',
                'name'      => 'Publish Chapter',
            ],
            [
                'slug'      => 'programming.chapter.unpublish',
                'name'      => 'Unpublish Chapter',
            ],
            [
                'slug'      => 'programming.chapter.cancel',
                'name'      => 'Cancel Chapter',
            ],
            [
                'slug'      => 'programming.chapter.archive',
                'name'      => 'Archive Chapter',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/programming/chapter',
                'name'        => 'Chapter',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/programming/chapter',
                'name'        => 'Chapter',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'chapter',
                'name'        => 'Chapter',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'programming.chapter.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
