<?php

use Illuminate\Database\Seeder;

class CourseTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('courses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'programming.course.view',
                'name'      => 'View Course',
            ],
            [
                'slug'      => 'programming.course.create',
                'name'      => 'Create Course',
            ],
            [
                'slug'      => 'programming.course.edit',
                'name'      => 'Update Course',
            ],
            [
                'slug'      => 'programming.course.delete',
                'name'      => 'Delete Course',
            ],
            /*
            [
                'slug'      => 'programming.course.verify',
                'name'      => 'Verify Course',
            ],
            [
                'slug'      => 'programming.course.approve',
                'name'      => 'Approve Course',
            ],
            [
                'slug'      => 'programming.course.publish',
                'name'      => 'Publish Course',
            ],
            [
                'slug'      => 'programming.course.unpublish',
                'name'      => 'Unpublish Course',
            ],
            [
                'slug'      => 'programming.course.cancel',
                'name'      => 'Cancel Course',
            ],
            [
                'slug'      => 'programming.course.archive',
                'name'      => 'Archive Course',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/programming/course',
                'name'        => 'Course',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/programming/course',
                'name'        => 'Course',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'course',
                'name'        => 'Course',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'programming.course.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
