    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#details" data-toggle="tab">  {!! trans('programming::course.name') !!}</a></li>
            <div class="box-tools pull-right">
                @include('programming::admin.course.partial.workflow')
                <button type="button" class="btn btn-success btn-sm" data-action='NEW' data-load-to='#programming-course-entry' data-href='{{trans_url('admin/programming/course/create')}}'><i class="fa fa-times-circle"></i> {{ trans('app.new') }}</button>
                @if($course->id )
                <button type="button" class="btn btn-primary btn-sm" data-action="EDIT" data-load-to='#programming-course-entry' data-href='{{ trans_url('/admin/programming/course') }}/{{$course->getRouteKey()}}/edit'><i class="fa fa-pencil-square"></i> {{ trans('app.edit') }}</button>
                <button type="button" class="btn btn-danger btn-sm" data-action="DELETE" data-load-to='#programming-course-entry' data-datatable='#programming-course-list' data-href='{{ trans_url('/admin/programming/course') }}/{{$course->getRouteKey()}}' >
                <i class="fa fa-times-circle"></i> {{ trans('app.delete') }}
                </button>
                @endif
            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('programming-course-show')
        ->method('POST')
        ->files('true')
        ->action(URL::to('admin/programming/course'))!!}
            <div class="tab-content clearfix">
                <div class="tab-pan-title"> {{ trans('app.view') }}   {!! trans('programming::course.name') !!}  [{!! $course->name !!}] </div>
                <div class="tab-pane active" id="details">
                    @include('programming::admin.course.partial.entry')
                </div>
            </div>
        {!! Form::close() !!}
    </div>