<div class="container">
    <h1> Chapters</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($chapters as $chapter)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $chapter['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('programming') }}/{!! $chapter->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Chapter">
                    {!! trans('programming::chapter.label.Chapter') !!}
                </label><br />
                    {!! $chapter['Chapter'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Slug">
                    {!! trans('programming::chapter.label.Slug') !!}
                </label><br />
                    {!! $chapter['Slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="course_id">
                    {!! trans('programming::chapter.label.course_id') !!}
                </label><br />
                    {!! $chapter['course_id'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$programmings->render()}}
        </div>
        <div class="col-md-4">
            @include('programming::public.chapter.aside')
        </div>
    </div>
</div>