<div class="container">
    <h1> Tutorials</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($tutorials as $tutorial)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $tutorial['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('programming') }}/{!! $tutorial->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="title">
                    {!! trans('programming::tutorial.label.title') !!}
                </label><br />
                    {!! $tutorial['title'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="chapter_id">
                    {!! trans('programming::tutorial.label.chapter_id') !!}
                </label><br />
                    {!! $tutorial['chapter_id'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Content">
                    {!! trans('programming::tutorial.label.Content') !!}
                </label><br />
                    {!! $tutorial['Content'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$programmings->render()}}
        </div>
        <div class="col-md-4">
            @include('programming::public.tutorial.aside')
        </div>
    </div>
</div>