@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> Details of {!! $chapter['name'] !!} </h4>
        </div>
        <div class="col-md-6">
            <div class='pull-right'>
                <a href="{{ trans_url('/user/programming/chapter') }}" class="btn btn-default"> {{ trans('app.back')  }}</a>
                <a href="{{ trans_url('/user/programming/chapter') }}/{{ chapter->getRouteKey() }}/edit" class="btn btn-success"> {{ trans('app.edit')  }}</a>
                <a href="{{ trans_url('/user/programming/chapter') }}/{{ chapter->getRouteKey() }}/copy" class="btn btn-warning"> {{ trans('app.copy')  }}</a>
                <a href="{{ trans_url('/user/programming/chapter') }}/{{ chapter->getRouteKey() }}/delete" class="btn btn-danger"> {{ trans('app.delete')  }}</a>
            </div>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr/>

    <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Chapter">
                    {!! trans('programming::chapter.label.Chapter') !!}
                </label><br />
                    {!! $chapter['Chapter'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Slug">
                    {!! trans('programming::chapter.label.Slug') !!}
                </label><br />
                    {!! $chapter['Slug'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="course_id">
                    {!! trans('programming::chapter.label.course_id') !!}
                </label><br />
                    {!! $chapter['course_id'] !!}
            </div>
        </div>
    </div>
</div>