<?php

// Admin routes  for course
Route::group(['prefix' => 'admin/programming'], function () {
    Route::resource('course', 'CourseAdminController');
});

// User routes for course
Route::group(['prefix' => 'user/programming'], function () {
    Route::resource('course', 'CourseUserController');
});

// Public routes for course
Route::group(['prefix' => 'programmings'], function () {
    Route::get('/', 'CoursePublicController@index');
    Route::get('/{slug?}', 'CoursePublicController@show');
});


// Admin routes  for chapter
Route::group(['prefix' => 'admin/programming'], function () {
    Route::resource('chapter', 'ChapterAdminController');
});

// User routes for chapter
Route::group(['prefix' => 'user/programming'], function () {
    Route::resource('chapter', 'ChapterUserController');
});

// Public routes for chapter
Route::group(['prefix' => 'programmings'], function () {
    Route::get('/', 'ChapterPublicController@index');
    Route::get('/{slug?}', 'ChapterPublicController@show');
});


// Admin routes  for tutorial
Route::group(['prefix' => 'admin/programming'], function () {
    Route::resource('tutorial', 'TutorialAdminController');
});

// User routes for tutorial
Route::group(['prefix' => 'user/programming'], function () {
    Route::resource('tutorial', 'TutorialUserController');
});

// Public routes for tutorial
Route::group(['prefix' => 'programmings'], function () {
    Route::get('/', 'TutorialPublicController@index');
    Route::get('/{slug?}', 'TutorialPublicController@show');
});

