<?php

// Admin  routes  for course
Route::group(['prefix' => '/admin/programming'], function () {
    Route::put('news/workflow/{course}/{step}', 'CourseAdminController@putWorkflow');
    Route::resource('course', 'CourseAdminController');
});


// User  routes for course
Route::group(['prefix' => '/user/programming'], function () {
    Route::resource('course', 'CourseUserController');
});

// Public  routes for course
Route::group(['prefix' => '/programmings'], function () {
    Route::get('news/workflow/{course}/{step}/{user}', 'CourseController@getWorkflow');
    Route::get('/', 'CoursePublicController@index');
    Route::get('/{slug?}', 'CoursePublicController@show');
});



// Admin  routes  for chapter
Route::group(['prefix' => '/admin/programming'], function () {
    Route::put('news/workflow/{chapter}/{step}', 'ChapterAdminController@putWorkflow');
    Route::resource('chapter', 'ChapterAdminController');
});


// User  routes for chapter
Route::group(['prefix' => '/user/programming'], function () {
    Route::resource('chapter', 'ChapterUserController');
});

// Public  routes for chapter
Route::group(['prefix' => '/programmings'], function () {
    Route::get('news/workflow/{chapter}/{step}/{user}', 'ChapterController@getWorkflow');
    Route::get('/', 'ChapterPublicController@index');
    Route::get('/{slug?}', 'ChapterPublicController@show');
});



// Admin  routes  for tutorial
Route::group(['prefix' => '/admin/programming'], function () {
    Route::put('news/workflow/{tutorial}/{step}', 'TutorialAdminController@putWorkflow');
    Route::resource('tutorial', 'TutorialAdminController');
});


// User  routes for tutorial
Route::group(['prefix' => '/user/programming'], function () {
    Route::resource('tutorial', 'TutorialUserController');
});

// Public  routes for tutorial
Route::group(['prefix' => '/programmings'], function () {
    Route::get('news/workflow/{tutorial}/{step}/{user}', 'TutorialController@getWorkflow');
    Route::get('/', 'TutorialPublicController@index');
    Route::get('/{slug?}', 'TutorialPublicController@show');
});


