<?php

namespace Dipendra\Programming\Repositories\Eloquent;

use Dipendra\Programming\Interfaces\ChapterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ChapterRepository extends BaseRepository implements ChapterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('dipendra.programming.chapter.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('dipendra.programming.chapter.model');
    }
}
