<?php

namespace Dipendra\Programming\Repositories\Eloquent;

use Dipendra\Programming\Interfaces\TutorialRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TutorialRepository extends BaseRepository implements TutorialRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('dipendra.programming.tutorial.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('dipendra.programming.tutorial.model');
    }
}
