<?php

namespace Dipendra\Programming\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CourseItemTransformer extends TransformerAbstract
{
    public function transform(\Dipendra\Programming\Models\Course $course)
    {
        return [
            'id'                => $course->getRouteKey(),
            'Course Name'       => $course->Course Name,
            'slug'              => $course->slug,
            'status'            => trans('app.'.$course->status),
            'created_at'        => format_date($course->created_at),
            'updated_at'        => format_date($course->updated_at),
        ];
    }
}