<?php

use Illuminate\Database\Seeder;

class TutorialTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tutorials')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'programming.tutorial.view',
                'name'      => 'View Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.create',
                'name'      => 'Create Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.edit',
                'name'      => 'Update Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.delete',
                'name'      => 'Delete Tutorial',
            ],
            /*
            [
                'slug'      => 'programming.tutorial.verify',
                'name'      => 'Verify Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.approve',
                'name'      => 'Approve Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.publish',
                'name'      => 'Publish Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.unpublish',
                'name'      => 'Unpublish Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.cancel',
                'name'      => 'Cancel Tutorial',
            ],
            [
                'slug'      => 'programming.tutorial.archive',
                'name'      => 'Archive Tutorial',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/programming/tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/programming/tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'tutorial',
                'name'        => 'Tutorial',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'programming.tutorial.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
