This is a Laravel 5 package that provides programming management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `dipendra/programming`.

    "dipendra/programming": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Dipendra\Programming\Providers\ProgrammingServiceProvider::class,

```

And also add it to alias

```php
'Programming'  => Dipendra\Programming\Facades\Programming::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Dipendra\Programming\Providers\ProgrammingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


