    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#tutorial" data-toggle="tab">{!! trans('programming::tutorial.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#programming-tutorial-edit'  data-load-to='#programming-tutorial-entry' data-datatable='#programming-tutorial-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#programming-tutorial-entry' data-href='{{trans_url('admin/programming/tutorial')}}/{{$tutorial->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('programming-tutorial-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(URL::to('admin/programming/tutorial/'. $tutorial->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="tutorial">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('programming::tutorial.name') !!} [{!!$tutorial->name!!}] </div>
                @include('programming::admin.tutorial.partial.entry')
            </div>
        </div>
        {!!Form::close()!!}
    </div>