<div class="container">
    <h1> Courses</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($courses as $course)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $course['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('programming') }}/{!! $course->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="Course Name">
                    {!! trans('programming::course.label.Course Name') !!}
                </label><br />
                    {!! $course['Course Name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="slug">
                    {!! trans('programming::course.label.slug') !!}
                </label><br />
                    {!! $course['slug'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$programmings->render()}}
        </div>
        <div class="col-md-4">
            @include('programming::public.course.aside')
        </div>
    </div>
</div>