<?php

namespace Dipendra\Programming\Repositories\Eloquent;

use Dipendra\Programming\Interfaces\CourseRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CourseRepository extends BaseRepository implements CourseRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('dipendra.programming.course.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('dipendra.programming.course.model');
    }
}
