<?php

namespace Dipendra\Programming\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChapterListTransformer extends TransformerAbstract
{
    public function transform(\Dipendra\Programming\Models\Chapter $chapter)
    {
        return [
            'id'                => $chapter->getRouteKey(),
            'Chapter'           => $chapter->Chapter,
            'Slug'              => $chapter->Slug,
            'course_id'         => $chapter->course_id,
            'status'            => trans('app.'.$chapter->status),
            'created_at'        => format_date($chapter->created_at),
            'updated_at'        => format_date($chapter->updated_at),
        ];
    }
}