<?php

namespace Dipendra\Programming\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TutorialListTransformer extends TransformerAbstract
{
    public function transform(\Dipendra\Programming\Models\Tutorial $tutorial)
    {
        return [
            'id'                => $tutorial->getRouteKey(),
            'title'             => $tutorial->title,
            'chapter_id'        => $tutorial->chapter_id,
            'Content'           => $tutorial->Content,
            'status'            => trans('app.'.$tutorial->status),
            'created_at'        => format_date($tutorial->created_at),
            'updated_at'        => format_date($tutorial->updated_at),
        ];
    }
}